<?php echo $header; ?><?php echo $column_left; ?>
<div id="content">
	<div class="page-header">
		<div class="container-fluid">
			<div class="pull-right">
				<button type="submit" form="form-setting" data-toggle="tooltip" title="<?php echo $button_save; ?>" class="btn btn-primary"><i class="fa fa-save"></i></button>
				<a href="<?php echo $cancel; ?>" data-toggle="tooltip" title="<?php echo $button_cancel; ?>" class="btn btn-default"><i class="fa fa-reply"></i></a></div>
			<h1><?php echo $heading_title; ?></h1>
			<ul class="breadcrumb">
				<?php foreach ($breadcrumbs as $breadcrumb) { ?>
					<li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
				<?php } ?>
			</ul>
		</div>
	</div>
	<div class="container-fluid">
	<?php if ($error_warning) { ?>
	<div class="alert alert-danger"><?php echo $error_warning; ?></div>
	<?php } ?>

	<?php if (isset($this->session->data['success'])) { ?>
	<div class="alert alert-success"><?php echo $this->session->data['success'] ?></div>
	<?php unset($this->session->data['success']) ?>
	<?php }?>

	<div class="panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title"><i class="fa fa-pencil"></i> <?php echo $text_edit; ?></h3>
		</div>
		<div class="panel-body">
			<form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form-super_page_cache" class="form-horizontal">
				<div class="form-group required">
					<label class="col-sm-2 control-label" for="input-status"><?php echo $entry_spc_status; ?></label>
					<div class="col-sm-10">
						<select name="spc_status" id="input-status" class="form-control">
							<?php if ($spc_status) { ?>
								<option value="1" selected="selected"><?php echo $text_enabled; ?></option>
								<option value="0"><?php echo $text_disabled; ?></option>
							<?php } else { ?>
								<option value="1"><?php echo $text_enabled; ?></option>
								<option value="0" selected="selected"><?php echo $text_disabled; ?></option>
							<?php } ?>
						</select>
					</div>
				</div>

				<div class="form-group required">
					<label class="col-sm-2 control-label" for="input-cache-time"><?php echo $entry_spc_cache_time; ?></label>
					<div class="col-sm-10">
						<select name="spc_cache_time" value="<?php echo $spc_cache_time; ?>" class="form-control" id="input-cache-time">
							<?php foreach ($time_options as $time=>$label) { ?>
								<option value="<?php echo $time ?>"<?php if ($time==$spc_cache_time) echo ' selected'; ?>><?php echo $label ?></option>
							<?php } ?>
						</select>
						<?php if ($error_spc_cache_time) { ?>
							<div class="text-danger"><?php echo $error_spc_cache_time; ?></div>
						<?php } ?>
					</div>
				</div>

				<div class="form-group">
					<label class="col-sm-2 control-label" for="input-exclude-routes"><?php echo $entry_spc_exclude_routes; ?></label>
					<div class="col-sm-10">
						<input type="text" name="spc_exclude_routes" value="<?php echo $spc_exclude_routes; ?>" id="input-exclude-routes" class="form-control" />
						<?php if ($error_spc_exclude_routes) { ?>
							<div class="text-danger"><?php echo $error_spc_exclude_routes; ?></div>
						<?php } ?>
					</div>
				</div>

				<div class="form-group">
					<label class="col-sm-2 control-label" for="input-exclude-cat"><?php echo $entry_spc_exclude_category_ids; ?></label>
					<div class="col-sm-10">
						<input type="text" name="spc_exclude_category_ids" value="<?php echo $spc_exclude_category_ids; ?>" id="input-exclude-cat" class="form-control" />
						<?php if ($error_exclude_category_ids) { ?>
							<div class="text-danger"><?php echo $error_exclude_category_ids; ?></div>
						<?php } ?>
						<br><?php echo $text_cache_exclude_category_ids_description ?>
					</div>
				</div>

				<div class="form-group">
					<label class="col-sm-2 control-label" for="input-exclude-prod"><?php echo $entry_spc_exclude_product_ids; ?></label>
					<div class="col-sm-10">
						<input type="text" name="spc_exclude_product_ids" value="<?php echo $spc_exclude_product_ids; ?>" id="input-exclude-prod" class="form-control" />
						<?php if ($error_exclude_product_ids) { ?>
							<div class="text-danger"><?php echo $error_exclude_product_ids; ?></div>
						<?php } ?>
						<br><?php echo $text_cache_exclude_product_ids_description ?>
					</div>
				</div>

				<div class="form-group">
					<label class="col-sm-2 control-label" for="input-clear-checkout"><?php echo $entry_spc_clear_cache_checkout; ?></label>
					<div class="col-sm-10">
						<select name="spc_clear_cache_checkout" id="input-clear-checkout" class="form-control">
							<?php if ($spc_clear_cache_checkout) { ?>
								<option value="1" selected="selected"><?php echo $text_enabled; ?></option>
								<option value="0"><?php echo $text_disabled; ?></option>
							<?php } else { ?>
								<option value="1"><?php echo $text_enabled; ?></option>
								<option value="0" selected="selected"><?php echo $text_disabled; ?></option>
							<?php } ?>
						</select>
					</div>
				</div>

				<div class="form-group">
					<label class="col-sm-2 control-label" for="input-clear-checkout"><?php echo $entry_spc_check_updates; ?></label>
					<div class="col-sm-10">
						<select name="spc_check_updates" id="input-clear-checkout" class="form-control">
							<?php if ($spc_check_updates) { ?>
								<option value="1" selected="selected"><?php echo $text_enabled; ?></option>
								<option value="0"><?php echo $text_disabled; ?></option>
							<?php } else { ?>
								<option value="1"><?php echo $text_enabled; ?></option>
								<option value="0" selected="selected"><?php echo $text_disabled; ?></option>
							<?php } ?>
						</select>
					</div>
				</div>

			</form>
		</div>
	</div>
</div>
<?php echo $footer; ?>