<?php echo $header; ?><?php echo $column_left; ?>


<div id="content">
	<div class="page-header">
		<div class="container-fluid">
			
			<h1><?php echo $heading_title; ?></h1>
			<ul class="breadcrumb">
				<?php foreach ($breadcrumbs as $breadcrumb) { ?>
					<li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
				<?php } ?>
			</ul>
		</div>
	</div>
	<div class="container-fluid">
		<div class="content">
			<h2><?php echo $heading_cache_hits ?></h2>

			<div id="chart_div" style="display:inline-block;margin-left:-30px"></div>
			<div id="chart_div2" style="display:inline-block;margin-left:-100px;"></div>

			<br style="clear:both">
			<p>Incoming page requests hit the cache <b><?php echo $cache_hit_pct ?>%</b> of the time.</p>

			<p>Super Page Cache has saved your visitors <b><?php echo $cache_saved_time ?></b>* in load time!</p>
			<p>&nbsp;</p>

			<h2><?php echo $heading_daily_stats ?></h2>
			<table class="form" style="width:400px">
				<tr>
					<th style="text-align: left">Date</th>
					<th>Cache Hits</th>
					<th>Cache Misses</th>
				</tr>
			<?php foreach (array_reverse($daily) as $date=>$arr) { ?>
				<tr>
					<td><?php echo $date ?></td>
					<td style="text-align: right"><?php if (isset($arr['hit']))  echo number_format($arr['hit']); ?></td>
					<td style="text-align: right"><?php if (isset($arr['miss'])) echo number_format($arr['miss']); ?></td>
				</tr>
			<?php } ?>
			</table>

			<p>&nbsp;</p>

			<p>* assuming an average 500ms savings per page load, actual number may vary.</p>
		</div>
	</div>
</div>

	<script type="text/javascript" src="https://www.google.com/jsapi"></script>
	<script type="text/javascript">
		google.load('visualization', '1.0', {'packages':['corechart']});
	</script>


<script type="text/javascript">



	function drawChart() {

		var data = new google.visualization.DataTable();
		data.addColumn('string', 'Topping');
		data.addColumn('number', 'Slices');
		data.addRows([
			['Requests Hit Cache', <?php echo (float)$cache_hit_pct ?>],
			['Requests Missed Cache', <?php echo (float)100-$cache_hit_pct ?>],
		]);

		var options = {'title':'Cache Performance - Overall',
                       'width':400,
                       'height':400};

		var chart = new google.visualization.PieChart(document.getElementById('chart_div'));
		chart.draw(data, options);

		var data = google.visualization.arrayToDataTable([
			['x', 'Hits', 'Misses'],
		<?php
		$slice=array_slice(array_reverse($daily), 0, 50);
		?>
		<?php foreach (array_reverse($slice) as $date=>$arr) { ?>
			['<?php echo $date ?>', <?php echo (isset($arr['hit']) ? (int)$arr['hit'] : 0) ?>,  <?php echo (isset($arr['miss']) ? (int)@$arr['miss'] : 0); ?>],
		<?php } ?>
		]);

		new google.visualization.LineChart(document.getElementById('chart_div2')).
			draw(data, {
					width: 580, height: 400,
					vAxis: {maxValue: 10}}
			);

	}

	google.setOnLoadCallback(drawChart);
</script>



<?php echo $footer; ?>