<?php

$index_already_installed=false; $admin_index_already_installed=false; $index_success=false; $admin_index_success=false; $index_install_failed=false; $admin_index_install_failed=false;

$index_replace=<<<END
// VirtualQMOD
END;
$index_replace2=<<<END
// vQmod
END;
$index_replace3=<<<END
// vqmod
END;
$index_code=<<<END
//*** Start Super Page Cache
include_once('system/library/spc_lib.php');
PageCache::setSession();
if (FALSE!==PageCache::mayCache()) {
	PageCache::findCachedVersion();
}
//*** End Super Page Cache

// VirtualQMOD
END;

$admin_index_code=<<<END
//*** Start Super Page Cache
include_once('../system/library/spc_lib.php');
PageCache::\$force_disable=true;
PageCache::setSession();
//*** End Super Page Cache
END;


if (!is_writable('index.php') || !is_writable('admin/index.php')) {
	$writable=false;
} else {
	$writable=true;

	//*** Install in index.php
	$index_contents=file_get_contents('index.php');
	if (stripos($index_contents, '//*** Start Super Page Cache')!==FALSE) {
		$index_already_installed=true;
	} elseif (!strpos($index_contents, '// VirtualQMOD')) {
		$qmod=false;
	} else {
		$index_contents=str_replace(array($index_replace, $index_replace2, $index_replace3), $index_code, $index_contents);
		if ($index_contents) {
			if (file_put_contents('index.php', $index_contents, LOCK_EX)) {
				$index_installed_success=true;
			}
		}
	}

	//*** Install in admin/index.php
	$admin_index_contents=file_get_contents('admin/index.php');
	if (stripos($admin_index_contents, '//*** Start Super Page Cache')!==FALSE) {
		$admin_index_already_installed=true;
	} else {
		$admin_index_contents=str_replace('// Url', $admin_index_code, $admin_index_contents);
		if ($index_contents) {
			if (file_put_contents('admin/index.php', $admin_index_contents, LOCK_EX)) {
				$admin_index_installed_success=true;
			}
		}
	}
}





?>


<html>
<head>

	<style type="text/css">
		body { background:lightblue }
		div#content {
			display:block;
			width:600px;
			border:1px solid;
			background:#fff;
			padding:25px;
			font-size:13px;
			font-family:verdana;
			box-shadow:2px 2px 8px #333;
			margin:50px auto;
		}
		h1 { margin-bottom:20px;}
		h2 { font-size: 15px;margin-top:40px }


	</style>
</head>

<body>




<div id="content">

	<h1>Super Page Cache Installation</h1><br>

	<p>Thank you for purchasing Super Page Cache. Installation results are as follows:</p>

	<h2>/index.php file:</h2>
	<ul>
	<?php if (isset($index_installed_success) && $index_installed_success) { ?>
		<li>SUCCESS: Super Page Cache has been successfully installed in the /index.php file. To configure, log into your OpenCart admin, then choose System / Super Page Cache / Settings</li>
	<?php } elseif (isset($index_installed_success) && !$index_installed_success) { ?>
		<li>FAIL: Could not modify the /index.php, please check that this file exists and is accessible.</li>
	<?php } ?>
	<?php if (isset($qmod) && $qmod==false) { ?>
		<li>FAIL: vqmod isn't installed. Please follow <A href="https://code.google.com/p/vqmod/wiki/Install_OpenCart">these instructions</A> to install it, then run the spc-install.php script again.</li>
	<?php } ?>
	<?php if ($index_already_installed) { ?>
		<li>Super Page Cache is already installed in index.php. To configure, log into your OpenCart admin, then choose System / Super Page Cache / Settings</li>
	<?php } ?>
	<?php if (!$writable) { ?>
		<li>FAIL: Please make sure both /index.php and /admin/index.php are writable (chmod 777)</li>
	<?php } ?>
	</ul>


	<h2>/admin/index.php file:</h2>
	<ul>
	<?php if (isset($admin_index_installed_success) && $admin_index_installed_success) { ?>
		<li>SUCCESS: Super Page Cache has been successfully installed in the /admin/index.php file. To configure, log into your OpenCart admin, then choose System / Super Page Cache / Settings</li>
	<?php } elseif (isset($admin_index_installed_success) && !$admin_index_installed_success) { ?>
		<li>FAIL: Could not modify /admin/index.php, please check that this file exists and is accessible.</li>
	<?php } ?>
	<?php if ($admin_index_already_installed) { ?>
		<li>Super Page Cache is already installed in admin/index.php. To configure, log into your OpenCart admin, then choose System / Super Page Cache / Settings</li>
	<?php } ?>
	<?php if (!$writable) { ?>
		<li>FAIL: Please make sure both /index.php and /admin/index.php are writable (chmod 777)</li>
	<?php } ?>
	</ul>

</div>



</body>
</html>